#include <iostream>
#include <math.h>
using namespace std;
int main()
{
    int N, M, sreca, namcor=0;
    bool poz = true;
    int maks = 100000;
    int A[maks];
    int B[2][maks];
    int C[maks];
    cin>>N>>M;
    for (int i=0; i<N; i++) {
        cin>>A[i];
        poz = poz && A[i]>=0;
        C[i]=0;
        if (A[i]<namcor) {
            namcor=A[i];
        }
    }
    for (int j=0; j<M; j++) {
        cin>>B[0][j]>>B[1][j];
    }
    for (int i=0; i<N; i++) {
        for (int j=0; j<M; j++) {
            if (B[0][j]==i+1) {
                C[i]++;
            }
            if (B[1][j]==i+1) {
                C[i]++;
            }
        }
    }
    if (poz) {
        sreca=0;
        for (int i=0; i<N; i++) {
            sreca = sreca + A[i]*C[i];
        }
    }
    if (abs(namcor)>N) {
        sreca=0;
        for (int i=0; i<N; i++) {
            sreca = sreca + A[i]*(-1)*C[i];
        }
    }
    cout<<sreca;
}